%define upstream_name    JSON-PP
%define upstream_version 2.27400

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Dummy module providing JSON::PP::Boolean


License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Test::More)
BuildArch:	noarch
Conflicts: perl-ExtUtils-MakeMaker < 6.980.0

%description
This module is the JSON::XS manpage compatible pure Perl module. (Perl 5.8
or later is recommended)

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
by Marc Lehmann in C, so must be compiled and installed in the used
environment.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{perl_vendorlib}/*
%{_bindir}/json_pp
%{_mandir}/man3/*
%{_mandir}/man1/json_pp.1.xz

%changelog

* Thu Jun 22 2017 dsilakov <denis.silakov@rosalab.ru> 2.274.0-1
- (832d38e) Merge pull request #2 from import/perl-JSON-PP:auto_update
- (832d38e) Updated to 2.27400 (by updates_builder)


